function pos_customize_product_pack_models(instance, module){
    var QWeb = instance.web.qweb;
    _t = instance.web._t;

    var PosModelSuper = module.PosModel;
    module.PosModel = module.PosModel.extend({
        load_server_data: function(){
            var self = this;
            var loaded = PosModelSuper.prototype.load_server_data.call(this);
            loaded = loaded.then(function(){
                return self.fetch(
                    'product.product',
                    ['pack_line_ids'],
                    [['sale_ok','=',true],['available_in_pos','=',true]],
                    {}
                );
            }).then(function(products){
                $.each(products, function(){
                    $.extend(self.db.get_product_by_id(this.id) || {}, this);
                });
                return $.when();
            });
            return loaded;
        },
    });

    module.PosModel.prototype.models.push({
        model: "product.pack.line",
        fields: ['parent_product_id', 'product_id'],
        loaded: function(self, product_pack_lines){
            self.product_pack_lines = product_pack_lines;
        },
    });
};

